Module jdk.compiler
Package com.sun.source.doctree

# Interface DocTypeTree

All Superinterfaces:
  `DocTree`

    public interface DocTypeTree
    extends DocTree

A tree node for a `doctype` declaration.

<!doctype text>

Since:
  10

## Nested Class Summary

## Nested classes/interfaces declared in interface com.sun.source.doctree.DocTree

`DocTree.Kind`

## Method Summary

Modifier and Type | Method | Description
--- | --- | ---
`String` | `getText()` | Returns the text of the doctype declaration.

### Methods declared in interface com.sun.source.doctree.DocTree

`accept, getKind`

## Method Details

### getText

String getText()
Returns the text of the doctype declaration.

Returns:
  text